<template>
  <layout />
</template>

<script setup>
import layout from "@/views/layout/";
import { ref, reactive, onMounted, watch, computed, nextTick } from "vue";
import browser from '@/utils/browser'

onMounted(() => {
  if (browser.isMobile()) {
    if (window.location.href.indexOf("index.html") > -1) {
      window.location.href = window.location.href.replace(
        "index.html",
        "mobile.html"
      );
    } else {
      window.location.href =
        window.location.origin + window.location.pathname + "mobile.html";
    }
  }

})

</script>

<style lang="scss">
html,
body {
  width: 100%;
  height: 100%;
  overflow: hidden;
  color: var(--font-color);
}

#app {
  width: 100%;
  height: 100%;
  margin: 0 auto;
  position: relative;
}
</style>
